
QGIS Application - Bug report #3613

map units not honored for line offset

2011-03-14 09:53 AM - Bernhard Ströbl

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13672

Description

to reproduce do the following

1) add a polygon layer

2) use new symbology

3) add a "Outline: Simple line" width 5, color green

4) add a "Outline: Simple line" width 1, offset -6, color black

this should result in a thick green line with a black line at the outer edge in any scale

5) change units to "Map unit" 

this results in the two lines getting thicker when zooming in but the distance between them stays constant in screen units!

History

#1 - 2011-12-16 01:48 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:26 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-02-27 11:38 PM - Martin Dobias

- Assignee deleted (Martin Dobias)

- Pull Request or Patch supplied set to No

#5 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-07-12 04:47 PM - Nyall Dawson

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Can't reproduce in current master. Please reopen if still an issue.

#7 - 2015-07-13 12:50 AM - Bernhard Ströbl
confirmed

Files
